Skip to main content
GET
/
transactions
/
{transaction_id}
/
captures
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.Transactions.Captures.ListAsync(transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591");

// handle response
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_account_id": "<string>",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currency": "<string>",
      "amount": 123,
      "final": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "capture",
      "xid": "capture_xYqd43gySMtori",
      "captured_at": "2013-07-16T19:23:00.000+00:00",
      "external_identifier": "capture-12345",
      "error_code": "service_error",
      "iso_response_code": "00",
      "raw_response_code": "E104",
      "raw_response_description": "Internal error",
      "transaction_external_identifier": "transaction-12345",
      "cart_items": [
        {
          "name": "<string>",
          "quantity": 123,
          "unit_amount": 49999999,
          "discount_amount": 0,
          "tax_amount": 0,
          "external_identifier": "goprohd",
          "sku": "GPHD1078",
          "upc": "012345678905",
          "product_url": "https://example.com/catalog/go-pro-hd",
          "image_url": "https://example.com/images/go-pro-hd.jpg",
          "categories": [
            "camera",
            "travel",
            "gear"
          ],
          "product_type": "physical",
          "seller_country": "US",
          "tax_exempt": false,
          "unit_of_measure": "feet",
          "commodity_code": "43211503",
          "description": "A brief description of an interesting item.",
          "duty_amount": 1299,
          "shipping_amount": 1299
        }
      ]
    }
  ],
  "limit": 20,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": "Xkjss7asS"
}
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string | null

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the transaction.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

Response

Successful Response

items
Capture · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"